#!/bin/bash
# Iptable multiplexeur (c) 2012 Jupa
LINE=$*

RESULT=`echo $LINE | egrep " ([0-9]{1,3}\.){3}[0-9]{1,3}" | wc -l`
RESULT6=`echo $LINE | egrep "(::[A-Fa-f0-9])|((:[A-Fa-f0-9]{1,4}){2,})" | wc -l `

if [ $RESULT -eq "1" ]; then
     # action ipv4
     iptables $LINE
     ERRCODE=$?
elif  [ $RESULT6 -eq "1" ]; then
     # action ipv6
     ip6tables $LINE
     ERRCODE=$?
else
     #action pour les 2
     iptables $LINE
     ERRCODE=$?
     ip6tables $LINE
     if [ $? -ge "1" ]; then
        ERRCODE=$?
     fi
fi
exit $ERRCODE
